<?php
/**
 * @copyright	@copyright	Copyright (c) 2015 Emiel Kwakkel (http://emielkwakkel.nl). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__) . '/helper.php';

// Get parameters fieldset module
$category_exclude			= modArticlesCount::sanitizeCategory($params->get('category_exclude'));

// Load form fields (declared in the xml) into variables
$total_show					= modArticlesCount::htmlChars($params->get('total_show'));
$total_description_before	= modArticlesCount::htmlChars($params->get('total_description_before'));
$total_description_after	= modArticlesCount::htmlChars($params->get('total_description_after'));
$category_show				= modArticlesCount::htmlChars($params->get('category_show'));
$category_title				= modArticlesCount::htmlChars($params->get('category_title'));
$category_sort				= modArticlesCount::htmlChars($params->get('category_sort'));
$category_order				= modArticlesCount::htmlChars($params->get('category_order'));
$category_limit				= modArticlesCount::htmlChars($params->get('category_limit'));
$category_link				= modArticlesCount::htmlChars($params->get('category_link'));
$category_link_prefix		= modArticlesCount::htmlChars($params->get('category_link_prefix'));
$category_link_suffix		= modArticlesCount::htmlChars($params->get('category_link_suffix'));

// Load the helpers class into a variable
$modArticlesCount 			= new modArticlesCount();

// Load information from the database using the functions
$articles_total 			= $modArticlesCount->countArticlesTotal($category_exclude);
$articles_category 			= $modArticlesCount->countArticlesCategory($category_exclude, $category_sort, $category_order, $category_limit);


// Get default Joomla parameters from fieldset advanced
$class_sfx 					= modArticlesCount::htmlChars($params->get('class_sfx'));
$moduleclass_sfx	 		= modArticlesCount::htmlChars($params->get('moduleclass_sfx'));
$module_tag					= modArticlesCount::htmlChars($params->get('module_tag'));
$header_tag					= modArticlesCount::htmlChars($params->get('header_tag'));
$header_class				= modArticlesCount::htmlChars($params->get('header_class'));

// Pass variables to the default layout template
require(JModuleHelper::getLayoutPath('mod_articles_count', $params->get('layout', 'default')));